<?php

namespace Bixo\Lead;

use DB;
use Illuminate\Database\Seeder;

class LeadsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('leads')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lead.leads.view',
                'name'      => 'View Leads',
            ],
            [
                'slug'      => 'lead.leads.create',
                'name'      => 'Create Leads',
            ],
            [
                'slug'      => 'lead.leads.edit',
                'name'      => 'Update Leads',
            ],
            [
                'slug'      => 'lead.leads.delete',
                'name'      => 'Delete Leads',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lead/leads',
                'name'        => 'Leads',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lead/leads',
                'name'        => 'Leads',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'leads',
                'name'        => 'Leads',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Lead',
                'module'    => 'Leads',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lead.leads.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
