<?php

namespace Bixo\Lead\Repositories\Eloquent;

use Bixo\Lead\Interfaces\LeadsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LeadsRepository extends BaseRepository implements LeadsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.lead.leads.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.lead.leads.model.model');
    }
}
